### Load a file ####################################################################################

  rm(list=ls())
  n.sample <- 1000 # 50 100 250 500 1000
  path.save <- "U:/Tmp/"
  #load(paste0(path.save,"MC_iid_bootstrap_",n.sample,".rda"))
  #load(paste0(path.save,"MC_non_iid1_bootstrap_",n.sample,".rda"))
  load(paste0(path.save,"MC_non_iid2_bootstrap_",n.sample,".rda"))


### Analysis ######################################################################################

  # Sanity check: Relative bias e and n
  (mean(sample.e)-population.e)/population.e
  (mean(sample.n)-population.n)/population.n
  
  # True standard errors
  true.e.se <- sqrt(mean((mean(sample.e)-sample.e)^2))
  true.n.se <- sqrt(mean((mean(sample.n)-sample.n)^2))
  
  # Relative bias standard errors
  (mean(sample.e.block.se)-true.e.se)/true.e.se
  (mean(sample.n.block.se)-true.n.se)/true.n.se
  
  (mean(sample.e.multinomial.se)-true.e.se)/true.e.se
  (mean(sample.n.multinomial.se)-true.n.se)/true.n.se

  
  
### More systematic ###############################################################################
  
  path.save <- "U:/Tmp/"
  sample.sizes <- c(50,100,250,500,1000)
  n.sample.sizes <- length(sample.sizes)
  
  rbias.n.block.iid <- numeric(n.sample.sizes)
  rbias.e.block.iid <- numeric(n.sample.sizes)

  rbias.n.block.niid1 <- numeric(n.sample.sizes)
  rbias.e.block.niid1 <- numeric(n.sample.sizes)
  
  rbias.n.block.niid2 <- numeric(n.sample.sizes)
  rbias.e.block.niid2 <- numeric(n.sample.sizes)
  
  rbias.n.multinomial.iid <- numeric(n.sample.sizes)
  rbias.e.multinomial.iid <- numeric(n.sample.sizes)
  
  rbias.n.multinomial.niid1 <- numeric(n.sample.sizes)
  rbias.e.multinomial.niid1 <- numeric(n.sample.sizes)
  
  rbias.n.multinomial.niid2 <- numeric(n.sample.sizes)
  rbias.e.multinomial.niid2 <- numeric(n.sample.sizes)
  
  
  for(ii in 1:n.sample.sizes) {
    
    which.sample <- sample.sizes[ii]
    
    load(paste0(path.save,"MC_iid_bootstrap_",which.sample,".rda"))
    true.e.se <- sqrt(mean((mean(sample.e)-sample.e)^2))
    true.n.se <- sqrt(mean((mean(sample.n)-sample.n)^2))
    rbias.e.block.iid[ii] <- (mean(sample.e.block.se)-true.e.se)/true.e.se
    rbias.n.block.iid[ii] <-(mean(sample.n.block.se)-true.n.se)/true.n.se
    rbias.e.multinomial.iid[ii] <- (mean(sample.e.multinomial.se)-true.e.se)/true.e.se
    rbias.n.multinomial.iid[ii] <- (mean(sample.n.multinomial.se)-true.n.se)/true.n.se
    
    load(paste0(path.save,"MC_non_iid1_bootstrap_",which.sample,".rda"))
    true.e.se <- sqrt(mean((mean(sample.e)-sample.e)^2))
    true.n.se <- sqrt(mean((mean(sample.n)-sample.n)^2))
    rbias.e.block.niid1[ii] <- (mean(sample.e.block.se)-true.e.se)/true.e.se
    rbias.n.block.niid1[ii] <-(mean(sample.n.block.se)-true.n.se)/true.n.se
    rbias.e.multinomial.niid1[ii] <- (mean(sample.e.multinomial.se)-true.e.se)/true.e.se
    rbias.n.multinomial.niid1[ii] <- (mean(sample.n.multinomial.se)-true.n.se)/true.n.se
    
    
    load(paste0(path.save,"MC_non_iid2_bootstrap_",which.sample,".rda"))
    true.e.se <- sqrt(mean((mean(sample.e)-sample.e)^2))
    true.n.se <- sqrt(mean((mean(sample.n)-sample.n)^2))
    rbias.e.block.niid2[ii] <- (mean(sample.e.block.se)-true.e.se)/true.e.se
    rbias.n.block.niid2[ii] <-(mean(sample.n.block.se)-true.n.se)/true.n.se
    rbias.e.multinomial.niid2[ii] <- (mean(sample.e.multinomial.se)-true.e.se)/true.e.se
    rbias.n.multinomial.niid2[ii] <- (mean(sample.n.multinomial.se)-true.n.se)/true.n.se
    
  }
  
  # Table
  c(round(rbias.n.multinomial.iid,digits=2),round(rbias.n.block.iid,digits=2))
  c(round(rbias.e.multinomial.iid,digits=2),round(rbias.e.block.iid,digits=2))
  
  c(round(rbias.n.multinomial.niid1,digits=2),round(rbias.n.block.niid1,digits=2))
  c(round(rbias.e.multinomial.niid1,digits=2),round(rbias.e.block.niid1,digits=2))

  c(round(rbias.n.multinomial.niid2,digits=2),round(rbias.n.block.niid2,digits=2))
  c(round(rbias.e.multinomial.niid2,digits=2),round(rbias.e.block.niid2,digits=2))
  
### END OF FILE ###################################################################################  
  