### Generate true expected values #################################################################  

  # Transitions per row
  firstrow <- tabulate(population$to[population$from==1])
  secondrow <- tabulate(population$to[population$from==2])
  thirdrow <- c(0,0,1)
  
  # Denominators per row
  nfirstrow <- tabulate(population$from)[1]
  nsecondrow <- tabulate(population$from)[2]
  nthirdrow <- 1
  
  # Rows of transition matrix
  P1 <- firstrow/nfirstrow+c(0,0,0.0001)
  P1 <- P1/sum(P1)
  P2 <- secondrow/nsecondrow+c(0,0,0.0001)
  P2 <- P2/sum(P2)
  P3 <- thirdrow/nthirdrow
  
  # Transition matrix
  P.placebo <- rbind(P1,P2,P3)
  
  # Calculate point estimates
  source("sim_sub_point.r")
  
  # Save
  population.e <- (N.placebo%*%Z%*%(Pm.placebo*R)%*%rep(1,m))[1]
  if(length(which(colnames(Pm.placebo)=="Normal"))==1) 
    population.n <- as.matrix(N.placebo)[1:2,which(colnames(Pm.placebo)=="Normal")][1] else 
      population.n <- rowSums(as.matrix(N.placebo)[1:2,which(colnames(Pm.placebo)=="Normal")])[1]



### END OF FILE ###################################################################################  