# Data will be repeated, as per assumption daily transitions
days <- 1

# Number of (transient) states
m <- dim(P.placebo)[1]
n <- sum(rowSums(P.placebo-diag(diag(P.placebo)))>0)

if(days==1) {

  tmp.placebo <- P.placebo
  # Row and column names for above matrices
  rownames(tmp.placebo) <- c(rep(c("Normal","Low"),days),"Death")
  colnames(tmp.placebo) <- rownames(tmp.placebo)
  
    
} else {

  # Number of (transient) states
  m <- dim(P.placebo)[1]
  n <- sum(rowSums(P.placebo-diag(diag(P.placebo)))>0)
  
  # Matrix U
  U.placebo <- P.placebo[1:n,1:n]
  
  # Probabilities of dying
  death.placebo <- P.placebo[1:n,(n+1):m]
  
  # Empty matrices, will be filled with probabilities below
  tmp.placebo <- matrix(data=0,nrow=days*n+(m-n),ncol=days*n+(m-n))
  
  # Row and column names for above matrices
  rownames(tmp.placebo) <- c(rep(c("Normal","Low"),days),"Death")
  colnames(tmp.placebo) <- rownames(tmp.placebo)
  
  # For each time step, transition probabiblities will be filled into matrix
  for(i in 1:(days-1)) {
    tmp.placebo[((i-1)*n+1):((i-1)*n+n),(i*n+1):(i*n+n)] <- U.placebo
    tmp.placebo[((i-1)*n+1):((i-1)*n+n),((days*n)+1):(days*n+(m-n))] <- death.placebo
  }
  
  # Set some probabilities to 0 or 1
  tmp.placebo[(days*n-(n-1)):(days*n),(days*n-(n-1)):(days*n)] <- 0
  tmp.placebo[(days*n-(n-1)):(days*n),"Death"] <- 1
  tmp.placebo["Death","Death"] <- 1
  
  }

# Save matrices in class of Matrix package; more efficient
Pm.placebo <- Matrix(tmp.placebo)

# Number of (transient) states
m <- dim(Pm.placebo)[1]
n <- sum(rowSums(Pm.placebo-diag(diag(Pm.placebo)))>0)

# Matrix N as per equation (1) in the text
N.placebo <- solve(diag(1,n)-Pm.placebo[1:n,1:n])  

# Matrix of rewards R, following equation (3)
R <- matrix(data=0,nrow=m,ncol=m)
R[ which(rownames(Pm.placebo)=="Low"),which(colnames(Pm.placebo)%in%c("Normal"))] <- 1
R <- Matrix(R)

# Matrix Z as needed in equation (2)
Z <- cbind(diag(1,n),matrix(data=0,ncol=m-n,nrow=n))
Z <- Matrix(Z)